# round_point
# by Tark.
# 選択頂点の座標を小数点以下d桁で四捨五入する

import math
d = 2
doc = MQSystem.getDocument()
for o in doc.object:
  if o is None: continue
  for v in o.vertex:
    if v is None or v.select == 0: continue
    p = v.getPos()
    p.x = round(p.x, d)
    p.y = round(p.y, d)
    p.z = round(p.z, d)
    v.setPos(p)
